## IdeVcsInitializer IdeVcsInitializer |

## Functions

gchar * | ide_vcs_initializer_get_title ()
void | ide_vcs_initializer_initialize_async ()
gboolean | ide_vcs_initializer_initialize_finish ()

## Types and Values

#define | IDE_TYPE_VCS_INITIALIZER
struct | IdeVcsInitializerInterface
| IdeVcsInitializer

## Object Hierarchy

        GInterface
        ╰── IdeVcsInitializer

## Prerequisites

IdeVcsInitializer requires IdeObject.

## Description

## Functions

### ide_vcs_initializer_get_title ()

    gchar *
    ide_vcs_initializer_get_title (IdeVcsInitializer *self);

### ide_vcs_initializer_initialize_async ()

    void
    ide_vcs_initializer_initialize_async (IdeVcsInitializer *self,
                                          GFile *file,
                                          GCancellable *cancellable,
                                          GAsyncReadyCallback callback,
                                          gpointer user_data);

### ide_vcs_initializer_initialize_finish ()

    gboolean
    ide_vcs_initializer_initialize_finish (IdeVcsInitializer *self,
                                           GAsyncResult *result,
                                           GError **error);

## Types and Values

### IDE_TYPE_VCS_INITIALIZER

    #define IDE_TYPE_VCS_INITIALIZER (ide_vcs_initializer_get_type ())

### struct IdeVcsInitializerInterface

    struct IdeVcsInitializerInterface {
      GTypeInterface parent;

      gchar   *(*get_title)         (IdeVcsInitializer    *self);
      void     (*initialize_async)  (IdeVcsInitializer    *self,
                                     GFile                *file,
                                     GCancellable         *cancellable,
                                     GAsyncReadyCallback   callback,
                                     gpointer              user_data);
      gboolean (*initialize_finish) (IdeVcsInitializer    *self,
                                     GAsyncResult         *result,
                                     GError              **error);
    };

### IdeVcsInitializer

    typedef struct _IdeVcsInitializer IdeVcsInitializer;